Open Infrastructure - Task #6998

Install & Setup netbox on an IPv6 only VM and find out how to get / reserve the next free ip address
07/25/2019 06:19 AM - Ahmed Bilal

Status: Closed Start date: 07/25/2019
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Checkout whether getting "the next free IP address" works nicely via API for IPv6 and IPv4
If yes, we can use netbox as an IPAM backend

Related issues:
Related to Open Infrastructure - Task #7129: Turn the netbox installation int... Closed 09/10/2019 09/15/2019

History

#1 - 07/27/2019 07:04 PM - Ahmed Bilal
- Status changed from Seen to Feedback

- Assignee changed from Ahmed Bilal to Nico Schottelius

Installed at http://netbox-dev.ungleich.ch/

#2 - 08/30/2019 12:10 PM - Nico Schottelius

- Subject changed from Install & Setup netbox on an IPv6 only VM to Install & Setup netbox on an IPv6 only VM and find out how to get / reserve the
next free ip address

- Status changed from Feedback to Seen

- Assignee changed from Nico Schottelius to Ahmed Bilal

ping. please create a proof of concept for getting the next free ip address of a network via the API. Test it for IPv6 and IPv4. Document the commands
used.

#3 - 08/30/2019 12:14 PM - Ahmed Bilal
Nico Schottelius wrote:
ping. please create a proof of concept for getting the next free ip address of a network via the API. Test it for IPv6 and IPv4. Document the

commands used.

OK.

#4 - 08/31/2019 07:53 PM - Ahmed Bilal
- Status changed from Seen to Feedback

- Assignee changed from Ahmed Bilal to Nico Schottelius

For credentials, see channel org-ahmedbilal

| created a prefix 2a0a:e5c1:144:1::/64 using netbox web interface. It can be seen at http:/netbox-dev.ungleich.ch/ipam/prefixes/1/ then use netbox's
official Python library pynetbox to get and consume next free ip

import pynetbox

# Create connection

nb = pynetbox.api ('http://netbox-dev.ungleich.ch/"',
token='6042908243ca4b3cb81040064165eb187af48b6f")

# Get prefix of which we want to get
# next free ip address of
http://netbox-dev.ungleich.ch/
http://netbox-dev.ungleich.ch/ipam/prefixes/1/

prefix = nb.ipam.prefixes.get (1)
# Get free IP
free_ip = prefix.available_ips.list () [0]

print ("Free IP", free_ip)

# Consume or Mark that IP as used

prefix.available_ips.create (data={"address": free_ip["address"]})

print ("Free IP after using last", prefix.available_ips.list () [0])

Output:

Free IP {'family': 6, 'address': '2a0a:eb5cl:144:1::/64', 'vrf': None}

Free IP after using last {'family': 6, 'address': '2a0a:eb5cl:144:1::1/64",

#5 - 09/10/2019 05:27 PM - Nico Schottelius

- Related to Task #7129: Turn the netbox installation into a production setup added

#6 - 09/28/2019 04:34 PM - Ahmed Bilal

Related task is also complete.

#7 - 10/14/2019 12:45 PM - Il nu
- Status changed from Feedback to Closed
